Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.context.notification
Class FlowConstructNotification

    java.lang.Object
      java.util.EventObject
          org.mule.api.context.notification.ServerNotification
              org.mule.context.notification.FlowConstructNotification

All Implemented Interfaces:
  Serializable, MuleContextAware, BlockingServerEvent

    public class FlowConstructNotification

extends ServerNotification
implements BlockingServerEvent

`FlowConstructNotification` is fired when an event such as the flow construct starting occurs. The payload of this event will always be a reference to the flow construct.

See Also:
  Serialized Form

Field Summary
`static int` | `FLOW_CONSTRUCT_DISPOSED`
`static int` | `FLOW_CONSTRUCT_INITIALISED`
`static int` | `FLOW_CONSTRUCT_PAUSED`
`static int` | `FLOW_CONSTRUCT_RESUMED`
`static int` | `FLOW_CONSTRUCT_STARTED`
`static int` | `FLOW_CONSTRUCT_STOPPED`

Fields inherited from class org.mule.api.context.notification.ServerNotification
`action, ADMIN_EVENT_ACTION_START_RANGE, COMPONENT_EVENT_ACTION_START_RANGE, CONNECTION_EVENT_ACTION_START_RANGE, CONTEXT_EVENT_ACTION_START_RANGE, CUSTOM_EVENT_ACTION_START_RANGE, EVENT_NAME, EXCEPTION_EVENT_ACTION_START_RANGE, FLOW_CONSTRUCT_EVENT_ACTION_START_RANGE, MANAGEMENT_EVENT_ACTION_START_RANGE, MESSAGE_EVENT_ACTION_START_RANGE, MODEL_EVENT_ACTION_START_RANGE, muleContext, NO_ACTION_ID, NO_ACTION_NAME, NULL_ACTION, NULL_MESSAGE, REGISTRY_EVENT_ACTION_START_RANGE, resourceIdentifier, ROUTING_EVENT_ACTION_START_RANGE, SECURITY_EVENT_ACTION_START_RANGE, serverId, SERVICE_EVENT_ACTION_START_RANGE, SPACE_EVENT_ACTION_START_RANGE, timestamp, TRANSACTION_EVENT_ACTION_START_RANGE, TYPE_ERROR, TYPE_FATAL, TYPE_INFO, TYPE_TRACE, TYPE_WARNING`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`FlowConstructNotification(FlowConstruct flowConstruct, int action)`

Method Summary

Methods inherited from class org.mule.api.context.notification.ServerNotification
`cloneMessage, generateId, getAction, getActionId, getActionName, getActionName, getPayloadToString, getResourceIdentifier, getServerId, getTimestamp, getType, isResourceIdentifierAnUri, registerAction, setMuleContext, toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FLOW_CONSTRUCT_INITIALISED

    public static final int FLOW_CONSTRUCT_INITIALISED

See Also:
  Constant Field Values

### FLOW_CONSTRUCT_STARTED

    public static final int FLOW_CONSTRUCT_STARTED

See Also:
  Constant Field Values

### FLOW_CONSTRUCT_STOPPED

    public static final int FLOW_CONSTRUCT_STOPPED

See Also:
  Constant Field Values

### FLOW_CONSTRUCT_PAUSED

    public static final int FLOW_CONSTRUCT_PAUSED

See Also:
  Constant Field Values

### FLOW_CONSTRUCT_RESUMED

    public static final int FLOW_CONSTRUCT_RESUMED

See Also:
  Constant Field Values

### FLOW_CONSTRUCT_DISPOSED

    public static final int FLOW_CONSTRUCT_DISPOSED

See Also:
  Constant Field Values

Constructor Detail

### FlowConstructNotification

    public FlowConstructNotification(FlowConstruct flowConstruct,
                                     int action)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.